aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2012-07-11 07:39:45 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2012-07-11 07:42:51 +0000
commit28f6432c83a8f746d8b08a51d4b3b2773b889b0d (patch)
treed66a6bd92a29aceb7c84fd65b5accbc3fb8ddd8e
parent740c12dbebfffc2bc2ca7796aa81858149237394 (diff)
downloadaports-28f6432c83a8f746d8b08a51d4b3b2773b889b0d.tar.gz
aports-28f6432c83a8f746d8b08a51d4b3b2773b889b0d.tar.bz2
aports-28f6432c83a8f746d8b08a51d4b3b2773b889b0d.tar.xz
main/ttf-linux-libertine: upgrade to 5.3.0
-rw-r--r--main/ttf-linux-libertine/APKBUILD23
1 files changed, 10 insertions, 13 deletions
diff --git a/main/ttf-linux-libertine/APKBUILD b/main/ttf-linux-libertine/APKBUILD
index b4445fc840..0ff702f694 100644
--- a/main/ttf-linux-libertine/APKBUILD
+++ b/main/ttf-linux-libertine/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=ttf-linux-libertine
-pkgver=5.1.3
-_date="2011_06_15"
+pkgver=5.3.0
+_date="2012_07_02"
pkgrel=0
pkgdesc="Serif (Libertine) and Sans Serif (Biolinum) OpenType fonts with large Unicode coverage"
url="http://linuxlibertine.sourceforge.net/"
@@ -11,23 +11,20 @@ makedepends=
depends="fontconfig encodings mkfontdir mkfontscale"
install=
subpackages="$pkgname-doc"
-source="http://downloads.sourceforge.net/project/linuxlibertine/linuxlibertine/$pkgver/LinLibertineTTF-${pkgver}_$_date.tgz"
+source="http://downloads.sourceforge.net/project/linuxlibertine/linuxlibertine/$pkgver/LinLibertineTTF_${pkgver}_$_date.tgz"
_builddir="$srcdir"
build () {
- local f
- # strip off the version numbers from the filenames.
- cd "$_builddir"
- for f in *.ttf; do
- mv $f ${f%-[0-9]*}.ttf
- done
+ return 0
}
package() {
cd "$_builddir"
- install -d -m 755 "$pkgdir"/usr/share/fonts/TTF
- install -m644 *.ttf "$pkgdir"/usr/share/fonts/TTF || return 1
- install -D -m644 OFL.txt "$pkgdir"/usr/share/licenses/$pkgname/LICENSE || return 1
+# install -dm755 "${pkgdir}"/usr/share/fonts/OTF || return 1
+ install -dm755 "${pkgdir}"/usr/share/fonts/TTF || return 1
+ install -m644 *.ttf "${pkgdir}"/usr/share/fonts/TTF || return 1
+# install -m644 *.otf "${pkgdir}"/usr/share/fonts/OTF || return 1
+# install -D -m644 OFL.txt "$pkgdir"/usr/share/licenses/$pkgname/LICENSE || return 1
install -D -m644 LICENCE.txt "$pkgdir"/usr/share/licenses/$pkgname/README || return 1
}
-md5sums="9164f5e202b1912015e43718fba94cc3 LinLibertineTTF-5.1.3_2011_06_15.tgz"
+md5sums="3ff3ede32b0a62e57a62e33783815b70 LinLibertineTTF_5.3.0_2012_07_02.tgz"